import django_filters
from api.models import User


class UserFilter(django_filters.FilterSet):
    last_name = django_filters.CharFilter(lookup_expr="icontains")
    first_name = django_filters.CharFilter(lookup_expr="icontains")
    email = django_filters.CharFilter(lookup_expr="icontains")

    class Meta:
        model = User
        fields = [
            "username",
            "last_name",
            "first_name",
            "email",
            "is_active",
            "id_card",
            "mobile",
        ]
